package org.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Configuration
@ComponentScan
public class SteamPriceParser
{
    public static void main(String[] args)
    {
        AnnotationConfigApplicationContext applicationContext = new AnnotationConfigApplicationContext(SteamPriceParser.class);

        ExecutorService executorService = Executors.newFixedThreadPool(50);

        // Hack for adding runnable to spring watching list
        LoadGameTask task = applicationContext.getBean(LoadGameTask.class);
        executorService.submit(task);
    }

}
